Debian Bug report logs - #467331
net-telnet-cisco: FTBFS with Perl 5.10 (doesn't run Makefile.PL)

version graph

Package: net-telnet-cisco; Maintainer for net-telnet-cisco is Javier Fernandez-Sanguino Pen~a <jfs@debian.org>;

Reported by: Niko Tyni <ntyni@debian.org>

Date: Sun, 24 Feb 2008 18:24:01 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version 1.10-4

Fixed in version net-telnet-cisco/1.10-5

Done: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#467331; Package net-telnet-cisco. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: net-telnet-cisco: FTBFS with Perl 5.10 (doesn't run Makefile.PL)
Date: Sun, 24 Feb 2008 20:23:32 +0200
Package: net-telnet-cisco
Version: 1.10-4
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs

This package fails to build with Perl 5.10.0 (currently in experimental.)

You're shipping a generated Makefile in the .diff.gz that contains
filenames specific to the version of Perl you were using for the build.
Please generate the Makefile at build time instead, using something like

clean:
	[ ! -f Makefile ] || $(MAKE) distclean

build:
    $(PERL) Makefile.PL INSTALLDIRS=vendor
    $(MAKE)

See the current dh-make-perl templates and the Debian Perl Policy:

 http://www.debian.org/doc/packaging-manuals/perl-policy/ch-module_packages.html

From the build log:

 /usr/bin/fakeroot debian/rules clean
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
# Add here commands to clean up after the build process.
#[ ! -f Makefile ] && perl Makefile.PL
/usr/bin/make distclean
make[1]: Entering directory `/build/niko/net-telnet-cisco-1.10'
make[1]: *** No rule to make target `/usr/lib/perl/5.8/Config.pm', needed by `Makefile'.  Stop.
make[1]: Leaving directory `/build/niko/net-telnet-cisco-1.10'
make: [clean] Error 2 (ignored)
dh_clean
dh_clean: Compatibility levels before 4 are deprecated.
 debian/rules build
dh_testdir
# Add here commands to configure the package.
touch configure-stamp
dh_testdir
# Add here commands to compile the package.
[ ! -f Makefile ] && perl Makefile.PL
make: [build-stamp] Error 1 (ignored)
/usr/bin/make 
make[1]: Entering directory `/build/niko/net-telnet-cisco-1.10'
make[1]: *** No rule to make target `/usr/lib/perl/5.8/Config.pm', needed by `Makefile'.  Stop.
make[1]: Leaving directory `/build/niko/net-telnet-cisco-1.10'
make: *** [build-stamp] Error 2

Cheers,
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#467331; Package net-telnet-cisco. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #10 received at 467331@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: control@bugs.debian.org
Cc: 467331@bugs.debian.org
Subject: severity of 467331 is serious
Date: Mon, 12 May 2008 13:58:16 +0300
# Automatically generated email from bts, devscripts version 2.10.27
# 5.10 is in sid now
severity 467331 serious





Severity set to `serious' from `important' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 12 May 2008 11:04:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#467331; Package net-telnet-cisco. Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #17 received at 467331@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>
To: 467331@bugs.debian.org, control@bugs.debian.org
Subject: patch
Date: Mon, 30 Jun 2008 18:25:58 +0200
tag 467331 +patch
thanks
---

Hi, I think, this should fix this bug:

diff -u net-telnet-cisco-1.10.old/debian/rules net-telnet-cisco-1.10/debian/rules 
--- net-telnet-cisco-1.10.old/debian/rules	2008-06-30 17:55:25.000000000 +0200
+++ net-telnet-cisco-1.10/debian/rules	2008-06-30 17:57:33.000000000 +0200
@@ -41,7 +41,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	#[ ! -f Makefile ] && perl Makefile.PL
+	-[ ! -f Makefile ] && perl Makefile.PL
 	-$(MAKE) distclean
 
 	dh_clean

-- 
Jörg Friedrich

There are only 10 types of people:
Those who understand binary and those who don't.




Tags added: patch Request was from Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de> to control@bugs.debian.org. (Mon, 30 Jun 2008 16:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#467331; Package net-telnet-cisco. Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@unb.ca>:
Extra info received and forwarded to list. Copy sent to debian-perl@lists.debian.org *** Please type your repor, t below this line ***, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #24 received at 467331@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@unb.ca>
To: Debian Bug Tracking System <467331@bugs.debian.org>
Subject: net-telnet-cisco: Would you like help maintaining this package?
Date: Mon, 30 Jun 2008 20:33:18 +0200
Package: net-telnet-cisco
Followup-For: Bug #467331

Dear Javier;

Would you like to have this package maintain by the Debian Perl
team (http://pkg-perl.alioth.debian.org/)? These kind of one
line fixes happen pretty much automatically for packages in our
repository.  You would of course be welcome to join the team and
continue looking after your package.  You can join by clicking on
https://alioth.debian.org/project/request.php?group_id=30274
assuming you have an alioth account.

All the best,

David Bremner

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 467331-close@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
To: 467331-close@bugs.debian.org
Subject: Bug#467331: fixed in net-telnet-cisco 1.10-5
Date: Sat, 05 Jul 2008 00:17:02 +0000
Source: net-telnet-cisco
Source-Version: 1.10-5

We believe that the bug you reported is fixed in the latest version of
net-telnet-cisco, which is due to be installed in the Debian FTP archive:

libnet-telnet-cisco-perl_1.10-5_all.deb
  to pool/main/n/net-telnet-cisco/libnet-telnet-cisco-perl_1.10-5_all.deb
net-telnet-cisco_1.10-5.diff.gz
  to pool/main/n/net-telnet-cisco/net-telnet-cisco_1.10-5.diff.gz
net-telnet-cisco_1.10-5.dsc
  to pool/main/n/net-telnet-cisco/net-telnet-cisco_1.10-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467331@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernandez-Sanguino Pen~a <jfs@debian.org> (supplier of updated net-telnet-cisco package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Jul 2008 01:54:23 +0200
Source: net-telnet-cisco
Binary: libnet-telnet-cisco-perl
Architecture: source all
Version: 1.10-5
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Description: 
 libnet-telnet-cisco-perl - Additional functionality to automate Cisco management
Closes: 467331
Changes: 
 net-telnet-cisco (1.10-5) unstable; urgency=low
 .
   * Apply change suggested in bug report to build with latest Perl version
     (Closes: #467331)
   * Added Homepage: to the debian/control
   * Use debhelper compatibility version 5
   * Use new maintainer's email address
   * Upgrade to latest Standards version, no more changes needed
Checksums-Sha1: 
 c241647d7a7e3fc3ea2e4e3e75769fc15decc4b2 1160 net-telnet-cisco_1.10-5.dsc
 5f1a2fc945b515c3d968405db45a0c08a6a9aa36 17718 net-telnet-cisco_1.10-5.diff.gz
 e15a4944dce9e11e1efccea7a02e466365d3625d 27728 libnet-telnet-cisco-perl_1.10-5_all.deb
Checksums-Sha256: 
 598b5b5ddcd66f67e67ff6d41751e8344420fdaefe102fee60321a6d5a3ac5bf 1160 net-telnet-cisco_1.10-5.dsc
 bfb4ad6b6d7e6ea901ad3b0a55414446182293d1a19708f306cd14762b445e6d 17718 net-telnet-cisco_1.10-5.diff.gz
 752188317c2e694d3ac43ed697bb2ea9745cff73741cb2ca0be007d6d3776530 27728 libnet-telnet-cisco-perl_1.10-5_all.deb
Files: 
 6e14dc8673e87aa38494c8329dc85c14 1160 - optional net-telnet-cisco_1.10-5.dsc
 8d4f1fcb3cab6fef1038edae5d95c61b 17718 - optional net-telnet-cisco_1.10-5.diff.gz
 25c3bb215b958edbcc9234ea3e7a897d 27728 perl optional libnet-telnet-cisco-perl_1.10-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIbrresandgtyBSwkRArIWAJ9WJpvLD+Z24mhPxvNtFJGLVNkHrACfSyw2
amgjBj1Nva5pahLgJqQcvj4=
=Lls4
-----END PGP SIGNATURE-----





Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 16 Aug 2008 02:49:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:29:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:25:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.